import sys

import matplotlib.pyplot as pl
from numpy import *
# init K vector of random value
Kq = [0.2, 0.2, 0]
num = 2
knum = 151
t = -1
lat=1/sqrt(3)
Ham = [[0 for i in range(num)] for j in range(num)]


def H(kx, ky):
    # lattice
    Ham[0][0] = 0
    Ham[0][1] = t * (exp(complex(0, kx*lat*sqrt(3)/2-ky*lat*1/2)) + exp(complex(0,-kx*lat*sqrt(3)/2-ky*lat*1/2))+exp(complex(0,ky*lat)))
    Ham[1][0] = conj(Ham[0][1])
    Ham[1][1] = 0
    e, w = linalg.eig(Ham)
    e = [real(e[y]) for y in range(num)]
    e = sort(e)
    return e


ens = zeros((num, knum), dtype=float64)
a = open("KP1", 'r+')
for m in range(knum):
    Kq = a.readline().strip().split()
    kx, ky = [float(Kq[n]) for n in range(2)]
    e = H(kx, ky)
    for y in range(num):
        ens[y, m] = real(e[y])



pl.figure(figsize=(16.0, 12.4))
pl.subplots_adjust(wspace=0.35)
pl.ylim(-4, 4)
pl.xlim(0, knum)
pl.grid(True)

# print(nOrbits)
for i in range(num):
    # print i
    # pl.plot(ens[i], 'go', ms=5, mew=1)
    pl.plot(ens[i], 'go', ms=5, mew=1)
    # pl.plot(evals[i], 'ro', ms=5, mew=1)
pl.title(r'$\Gamma$')

pl.ylabel("Energy")

# my_array = wf_array(my_model, [41, 41, 2])

# my_array.solve_on_grid([-0.5, -0.5, 0])

# for i in range(nOrbits):
#     curv_a_1 = my_array.berry_flux([i])
#     print "%d C= %f" % (i+1, curv_a_1[0]/np.pi/2.0)

pl.show()

print('Done.\n')
